Bug 495845 - various & sundry drpm issues
various & sundry drpm issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 00:12 EDT by Bill Nottingham
Modified: 2016-09-19 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 15:57:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-04-15 00:12:50 EDT
1) You've got a filename disagreement.

...
        self.deltafile = 'prestodelta.xml.gz'
...
            workfiles.append((self.conf.deltafile, 'deltainfo'))
...

Patch:

--- __init__.py	2009-04-14 23:52:56.000000000 -0400
+++ /usr/lib/python2.6/site-packages/createrepo/__init__.py	2009-04-15 00:02:25.000000000 -0400
@@ -760,7 +760,7 @@
             repoid='garbageid'
         
         if self.conf.deltas:
-            workfiles.append((self.conf.deltafile, 'deltainfo'))
+            workfiles.append((self.conf.deltafile, 'prestodelta'))
         if self.conf.database:
             if not self.conf.quiet: self.callback.log('Generating sqlite DBs')
             try:

2) Whatever the correct filename for the metadata is, it's not wired correctly into the sqlite code - file renaming will fail as it expects the xml file to be sqlite-ed, but it is not.

3) May not be an actual bug, but:
-rw-r--r--. 2 notting notting 16737 2007-10-10 16:01 ofx-0.8.3-4.i386.rpm
-rw-r--r--. 3 notting notting 18129 2008-02-14 13:58 ofx-0.8.3-5.i386.rpm
-rw-r--r--. 1 notting notting 18322 2009-04-15 00:04 ofx-0.8.3-4_0.8.3-5.i386.drpm

Not efficient, at least in this case.

Version-Release number of selected component (if applicable):

createrepo-0.9.7-1.fc11.noarch
Comment 1 seth vidal 2009-04-15 11:19:11 EDT
Going into koji/rawhide now - 0.9.7-2

the size check is something on the todo list - but I didn't want to add those until we were sure the rest was right.
Comment 2 seth vidal 2009-04-15 11:34:33 EDT
0.9.7-3, not -2 - tagging error on my part.
Comment 3 seth vidal 2009-04-15 15:57:58 EDT
all fixed and confirmed in rawhide

Note You need to log in before you can comment on or make changes to this bug.